package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicGovernmentType {
    public static final String COMMISSION = "委办局";
    public static final String OFFICE_HALL = "办事大厅";

    private static DicGovernmentType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicGovernmentType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(COMMISSION, COMMISSION);
        dicMap.put(OFFICE_HALL, OFFICE_HALL);

    }

    public static DicGovernmentType getInstacne(){
        if (instance == null)
        {
            instance = new DicGovernmentType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
